from pydantic import BaseModel


class UserContact(BaseModel):
    service: str
    data: str
    visible: bool


class User(BaseModel):
    username: str
    first_name: str
    last_name: str
    main_email: str
    password: str
    visible_name: str
    contacts: list[UserContact]